<template>
  <div v-if=" userAgent.isMobile">
    isMobile : {{ userAgent.isMobile }}
    <h2 class="text-center p-5">دسته بندی محصول</h2>
    
    <hr class="mx-4" />
    <div class="grid grid-cols-2 gap-2 mx-4">
      <div class="" v-for="productGroup in productGroups">
        <nuxt-link
          :to="{
            path: `/cat/${productGroup.id}`,
          }"
        >
          <div class="flex-1 flex flex-col text-center">
            <span class="inline-block relative mx-auto">
              <img
                :src="`https://2sote.com/File/GroupProduct/${productGroup.img}`"
                alt=""
                width="75"
                height="75"
                srcset=""
              />
            </span>
            <h3 class="mt-2 text-gray-900 text-sm font-bold">
              {{ productGroup.name }}
            </h3>
          </div>
        </nuxt-link>
      </div>
    </div>
    {{ innerWidth }}
  </div>
</template>

<script>
import { mapState, mapGetters, mapActions, mapMutations } from 'vuex'

export default {
  middleware: 'checkInnerWidth',
  data() {
    return {
      innerWidth: null,
    }
  },

  watch: {
    $route: {
      handler: function (innerWidth) {
        if (innerWidth >= 640 && this.$route.name === 'mobile-categories') {
          //  window.addEventListener('resize', this.onResize)
          console.log(innerWidth)
          this.$router.push('/')
        }
      },
      deep: true,
      immediate: true,
    },
    innerWidth(newValue, oldValue) {
      if (newValue >= 639) {
        console.log(newValue)
        this.$router.push('/')
      }
    },
  },

  mounted() {
    this.$nextTick(() => {
      window.addEventListener('resize', this.onResize)
    })
  },
  computed: {
    ...mapGetters({
      productGroups: 'products/GetListProductsGroupbyParnet',
    }),
    ...mapState({
      userAgent: 'ua',
    }),
  },

  beforeDestroy() {
    window.removeEventListener('resize', this.onResize)
  },
  created() {
    // this.$store.dispatch('products/fetchProductGroups')
    this.fetchListProductsGroupbyParnet()
  },
  methods: {
    onResize() {
      this.innerWidth = window.innerWidth
    },
    fetchListProductsGroupbyParnet() {
      console.log('mmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmm')
      this.$store.dispatch('products/fetchListProductsGroupbyParnet', 0)
    },
  },
}
</script>

<style lang="scss" scoped></style>
